SDL_HINT_CPU_FEATURE_MASK(3)

NAME
SDL_HINT_CPU_FEATURE_MASK - A variable that limits what CPU features are available.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_CPU_FEATURE_MASK SDL_CPU_FEATURE_MASK"

DESCRIPTION
By default, SDL marks all features the current CPU supports as available. This hint allows to limit these to a subset. When the hint is unset, or empty, SDL will enable all detected CPU features. The variable can be set to a comma separated list containing the following items: • "all" • "altivec" • "sse" • "sse2" • "sse3" • "sse41" • "sse42" • "avx" • "avx2" • "avx512f" • "arm-simd" • "neon" • "lsx" • "lasx" The items can be prefixed by '+'/'-' to add/remove features.

AVAILABILITY
This hint is available since SDL 3.0.0.